#!/bin/sh
JP2DIR=$1	#JP2 Directory
POLYGON=$2	#Crop Window

BOX=$(python3 polygonToBox.py "$POLYGON")

cd $JP2DIR
for f in *; do
    if [ -d ${f} ]; then
		cd $f
		if [  ! -e ../$f".tif"  ]; then
			echo "gdal_merge.py -o ../"$f".tif" $(ls *.jp2)
			gdal_merge.py -o ../$f".tif" $(ls *.jp2)
		fi
		cd ..
		if [  ! -e ../$f".jp2"  ]; then
	        	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $f".tif" $f".jp2"
		fi
		rasterWkt.py "$POLYGON" $f.jp2 $f"_p.tif"
        echo $f
    fi
done



cd $JP2DIR 
find . -name *.xml -type f -delete 




